// JavaScript Document
// 关闭/打开左菜单
var status = 1;
function switchSysBar(){
     if (1 == window.status){
		  window.status = 0;
          switchPoint.innerHTML = '<img src="Images/lere01.gif">';
          document.all("frmleft").style.display="none"
     }
     else{
		  window.status = 1;
          switchPoint.innerHTML = '<img src="Images/lere.gif">';
          document.all("frmleft").style.display=""
     }
}
// 获取管理菜单标题
function getleftbar(obj,id_num,maxs,num){
	var titleobj=obj.getElementsByTagName("a");
	if (titleobj[0]){
		document.getElementById("leftmenu_title").innerHTML = titleobj[0].innerHTML;
	}
	for(var i=0;i<maxs;i++){document.getElementById("menu_"+id_num+i).className=""}
	document.getElementById("menu_"+id_num+num).className="tabms";
}
// 修改编辑栏高度
function admin_Size(num,objname)
{
	var obj=document.getElementById(objname)
	if (parseInt(obj.rows)+num>=3) {
		obj.rows = parseInt(obj.rows) + num;	
	}
}

function runscript(n){
	txtRun=n;window.open("../Template/admin_templates_view.asp","templates_view")
}

function helpscript(n){
	txtRun=n;window.open('../helpview.asp','admin_help','toolbar=no,menubar=no,scrollbars=no, resizable=1, location=no, status=no,top=0,left=0,width=600,height=300')

}
var gdCtrl = new Object();
var goSelectTag = new Array();
var gcGray = "#808080";
var gcToggle = "#ffff00";
var gcBG = "#99CCFF";
var previousObject = null;

var gdCurDate = new Date();
var giYear = gdCurDate.getFullYear();
var giMonth = gdCurDate.getMonth()+1;
var giDay = gdCurDate.getDate();

var gCalMode = "";
var gCalDefDate = "";

var CAL_MODE_NOBLANK = "2";

function fSetDate(iYear, iMonth, iDay){
  //VicPopCal.style.visibility = "hidden";
  if ((iYear == 0) && (iMonth == 0) && (iDay == 0)){
  	gdCtrl.value = "";
  }else{
  	iMonth = iMonth + 100 + "";
  	iMonth = iMonth.substring(1);
  	iDay   = iDay + 100 + "";
  	iDay   = iDay.substring(1);
  	gdCtrl.value = iYear+"-"+iMonth+"-"+iDay;
  }
  
  for (i in goSelectTag)
  	goSelectTag[i].style.visibility = "visible";
  goSelectTag.length = 0;
  
  window.returnValue=gdCtrl.value;
  window.close();
}

function HiddenDiv()
{
	var i;
  VicPopCal.style.visibility = "hidden";
  for (i in goSelectTag)
  	goSelectTag[i].style.visibility = "visible";
  goSelectTag.length = 0;

}
function fSetSelected(aCell){
  var iOffset = 0;
  var iYear = parseInt(tbSelYear.value);
  var iMonth = parseInt(tbSelMonth.value);
  
  aCell.bgColor = gcBG;
  with (aCell.children["cellText"]){
  	var iDay = parseInt(innerText);
  	if (color==gcGray)
		iOffset = (Victor<10)?-1:1;

	/*** below temp patch by maxiang ***/
	if( color == gcGray ){
		iOffset = (iDay < 15 )?1:-1;
	}
	/*** above temp patch by maxiang ***/

	iMonth += iOffset;
	if (iMonth<1) {
		iYear--;
		iMonth = 12;
	}else if (iMonth>12){
		iYear++;
		iMonth = 1;
	}
  }
  fSetDate(iYear, iMonth, iDay);
}

function Point(iX, iY){
	this.x = iX;
	this.y = iY;
}

function fBuildCal(iYear, iMonth) {
  var aMonth=new Array();
  for(i=1;i<7;i++)
  	aMonth[i]=new Array(i);
  
  var dCalDate=new Date(iYear, iMonth-1, 1);
  var iDayOfFirst=dCalDate.getDay();
  var iDaysInMonth=new Date(iYear, iMonth, 0).getDate();
  var iOffsetLast=new Date(iYear, iMonth-1, 0).getDate()-iDayOfFirst+1;
  var iDate = 1;
  var iNext = 1;

  for (d = 0; d < 7; d++)
	aMonth[1][d] = (d<iDayOfFirst)?-(iOffsetLast+d):iDate++;
  for (w = 2; w < 7; w++)
  	for (d = 0; d < 7; d++)
		aMonth[w][d] = (iDate<=iDaysInMonth)?iDate++:-(iNext++);
  return aMonth;
}

function fDrawCal(iYear, iMonth, iCellHeight, sDateTextSize) {
  var WeekDay = new Array("日","一","二","三","四","五","六");
  var styleTD = " bgcolor='"+gcBG+"' bordercolor='"+gcBG+"' valign='middle' align='center' height='"+iCellHeight+"' style='font-size:11px; ";

  with (document) {
	write("<tr>");
	for(i=0; i<7; i++)
		write("<td "+styleTD+" color:#990099' >" + WeekDay[i] + "</td>");
	write("</tr>");

  	for (w = 1; w < 7; w++) {
		write("<tr>");
		for (d = 0; d < 7; d++) {
			write("<td id=calCell "+styleTD+"cursor:hand;' onMouseOver='this.bgColor=gcToggle' onMouseOut='this.bgColor=gcBG' onclick='fSetSelected(this)'>");
			write("<font id=cellText ><b> </b></font>");
			write("</td>")
		}
		write("</tr>");
	}
  }
}

function fUpdateCal(iYear, iMonth) {
  myMonth = fBuildCal(iYear, iMonth);
  var i = 0;
  for (w = 0; w < 6; w++)
	for (d = 0; d < 7; d++)
		with (cellText[(7*w)+d]) {
			Victor = i++;
			if (myMonth[w+1][d]<0) {
				color = gcGray;
				innerText = -myMonth[w+1][d];
			}else{
				// Modified by maxiang for we need 
				// Saturday displayed in blue font color.
				//color = ((d==0)||(d==6))?"red":"black";
				if( d == 0 ){
					color = "red";
				}else if( d == 6 ){
					color = "blue";
				}else{
					color = "black";
				}
				// End of above maxiang
				innerText = myMonth[w+1][d];
			}
		}
}

function fSetYearMon(iYear, iMon){
  tbSelMonth.options[iMon-1].selected = true;
  for (i = 0; i < tbSelYear.length; i++)
	if (tbSelYear.options[i].value == iYear)
		tbSelYear.options[i].selected = true;
  fUpdateCal(iYear, iMon);
}

function fPrevMonth(){
  var iMon = tbSelMonth.value;
  var iYear = tbSelYear.value;
  
  if (--iMon<1) {
	  iMon = 12;
	  iYear--;
  }
  
  fSetYearMon(iYear, iMon);
}

function fNextMonth(){
  var iMon = tbSelMonth.value;
  var iYear = tbSelYear.value;
  
  if (++iMon>12) {
	  iMon = 1;
	  iYear++;
  }
  
  fSetYearMon(iYear, iMon);
}

function fToggleTags(){
  with (document.all.tags("SELECT")){
 	for (i=0; i<length; i++)
 		if ((item(i).Victor!="Won")&&fTagInBound(item(i))){
 			item(i).style.visibility = "hidden";
 			goSelectTag[goSelectTag.length] = item(i);
 		}
  }
}

function fTagInBound(aTag){
  with (VicPopCal.style){
  	var l = parseInt(left);
  	var t = parseInt(top);
  	var r = l+parseInt(width);
  	var b = t+parseInt(height);
	var ptLT = fGetXY(aTag);
	return !((ptLT.x>r)||(ptLT.x+aTag.offsetWidth<l)||(ptLT.y>b)||(ptLT.y+aTag.offsetHeight<t));
  }
}

function fGetXY(aTag){
  var oTmp = aTag;
  var pt = new Point(0,0);
  do {
  	pt.x += oTmp.offsetLeft;
  	pt.y += oTmp.offsetTop;
  	oTmp = oTmp.offsetParent;
  } while(oTmp.tagName!="BODY");
  return pt;
}

// Main: popCtrl is the widget beyond which you want this calendar to appear;
//       dateCtrl is the widget into which you want to put the selected date.
// i.e.: <input type="text" name="dc" style="text-align:center" readonly><INPUT type="button" value="V" onclick="fPopCalendar(dc,dc);return false">

function fPopUpCalendarDlg(ctrlobj)   //弹出日历
{
	showx = event.screenX - event.offsetX - 4 - 170 ; // + deltaX;
	showy = event.screenY - event.offsetY + 15; // + deltaY;
	newWINwidth = 210 + 4 + 18;

	retval = window.showModalDialog("../inc/hzcalendardlg.asp", "", "dialogWidth:196px; dialogHeight:210px; dialogLeft:"+showx+"px; dialogTop:"+showy+"px; status:no; directories:yes;scrollbars:no;Resizable=no; "  );
	if( retval != null ){
		ctrlobj.value = retval;
	}else{
		//alert("canceled");
	}
}

function fPopCalendar(popCtrl, dateCtrl, mode, defDate){
	gCalMode = mode;
	gCalDefDate = defDate;
	
  if (popCtrl == previousObject){
	  	if (VicPopCal.style.visibility == "visible"){
  		//HiddenDiv();
  		return true;
  	}
  	
  }
  previousObject = popCtrl;
  gdCtrl = dateCtrl;
  fSetYearMon(giYear, giMonth); 
  var point = fGetXY(popCtrl);

	if( gCalMode == CAL_MODE_NOBLANK ){
		document.all.CAL_B_BLANK.style.visibility = "hidden";	
	}else{
		document.all.CAL_B_BLANK.style.visibility = "visible";
	}	

  with (VicPopCal.style) {
  	left = point.x;
	top  = point.y+popCtrl.offsetHeight;
	width = VicPopCal.offsetWidth;
	height = VicPopCal.offsetHeight;
	fToggleTags(point); 	
	visibility = 'visible';
  }
}

var gMonths = new Array("1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月");

with (document) {
write("<Div id='VicPopCal' style='OVERFLOW:hidden;POSITION:absolute;VISIBILITY:hidden;border:0px ridge;width:100%;height:100%;top:0;left:0;z-index:100;overflow:hidden'>");
write("<link rel='stylesheet'  href='/css/green.css'>");
write("<table border='0' bgcolor='#3366CC'>");
write("<TR>");
write("<td valign='middle' align='center'><input type='button' name='PrevMonth' value='<' style='height:20;width:20;FONT:bold' onClick='fPrevMonth()'>");
write("&nbsp;<SELECT name='tbSelYear' onChange='fUpdateCal(tbSelYear.value, tbSelMonth.value)' Victor='Won'>");
for(i=1949;i<2006;i++)
	write("<OPTION value='"+i+"'>"+i+"年</OPTION>");
write("</SELECT>");
write("&nbsp;<select name='tbSelMonth' onChange='fUpdateCal(tbSelYear.value, tbSelMonth.value)' Victor='Won'>");
for (i=0; i<12; i++)
	write("<option value='"+(i+1)+"'>"+gMonths[i]+"</option>");
write("</SELECT>");
write("&nbsp;<input type='button' name='PrevMonth' value='>' style='height:20;width:20;FONT:bold' onclick='fNextMonth()'>");
write("</td>");
write("</TR><TR>");
write("<td align='center'>");
write("<DIV style='background-color:#000066'><table width='100%' border='0'>");
fDrawCal(giYear, giMonth, 8, '12');
write("</table></DIV>");
write("</td>");
write("</TR><TR><TD align='center'>");
write("<TABLE width='100%'><TR><TD align='center'>");
write("<B ID=\"CAL_B_BLANK\" style='color:"+gcBG+"; visibility:visible; cursor:hand; font-size:11px' onclick='fSetDate(0,0,0)' onMouseOver='this.style.color=gcToggle' onMouseOut='this.style.color=gcBG'>清空</B>");
write("</td><td algin='center'>");
write("<B style='color:"+gcBG+";cursor:hand; font-size:11px' onclick='fSetDate(giYear,giMonth,giDay)' onMouseOver='this.style.color=gcToggle' onMouseOut='this.style.color=gcBG'>选择: "+giYear+"/"+giMonth+"/"+giDay+"</B>");
write("</td></tr></table>");
write("</TD></TR>");
write("</TABLE></Div>");
}


function showClock() { 
} 
function hideClock() { 
} 
var timerID = null 
var timerRunning = false 
function stopClock() { 
if(timerRunning) 
clearTimeout(timerID); 
timerRunning = false 
document.clock.face.value = ""; 
} 
function showTime() { 
var now = new Date(); 
var year = now.getYear(); 
var month = now.getMonth() + 1; 
var date = now.getDate(); 
var hours = now.getHours(); 
var mins = now.getMinutes(); 
var secs = now.getSeconds(); 
var timeVal = ""; 
timeVal += hours ; 
timeVal += ((mins < 10) ? ":0" : ":") + mins; 
timeVal += ((secs <= 10) ? ":0" : ":") + secs; 

document.clock.face.value = timeVal; 
timerID = setTimeout("showTime()", 1000); 
timerRunning = true 
} 
function startClock() { 
stopClock(); 
showTime(); 
} 　 
function windowOpener( indexnum ){ 
var loadpos="date.html"+"#"+indexnum; 
controlWindow=window.open(loadpos,"date","toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=620,height=400"); 
}

// ******************************默认设置定义******************************
var iXuEr_TipsPop = null;
var iXuEr_TipsoffsetX = 10; // 提示框位于鼠标左侧或者右侧的距离；3-12 合适
var iXuEr_TipsoffsetY = 15; // 提示框位于鼠标下方的距离；3-12 合适
var iXuEr_TipsPopbg = "#FFFFFF"; // 提示框背景色
var iXuEr_TipsPopfg = "infotext"; // 提示框前景色
var iXuEr_TipsAlpha = 90; // 提示框透明度，100为不透明
var iXuEr_Tipsshadowcolor = "threedlightshadow"; // 提示框阴影颜色
var iXuEr_Tipsshadowdirection = 135; // 提示框阴影方向
var iXuEr_TipsTitlebg = "activecaption"; // 提示框标题文字背景
var iXuEr_TipsTitlefg = "captiontext"; // 提示框标题文字颜色
var iXuEr_TipsBorderColor = "activecaption"; // 提示框标题边框颜色
var iXuEr_TipsBorder	= 0; // 提示框标题边框宽度
var iXuEr_TipsBaseWidth = 200; // 提示框最小宽度 注意这个值最好不要小于提示框的象素宽度
var iXuEr_TipsTitle = ""; // 提示框标题文字
var iXuEr_TipsSmallTitle = "系统提示";	// 提示框副标题文字 
var iXuEr_TipsTitleCt = " " // 标题文字和副标题文字之间的连接符

var FormObj;
var UsedForm="none";
// ==================================================================================

document.write('<div id=iXuEr_TipsLayer style="display: none;position: absolute; z-index:10001"></div>');

function iXuEr_Tips(){
	var o=event.srcElement;
	if(o.alt==null && o.title==null){return false;}
	if(o.alt!=null && o.alt!=""){o.dypop=o.alt;o.alt=""};
	if(o.title!=null && o.title!=""){o.dypop=o.title;o.title=""};
	iXuEr_TipsPop=o.dypop;
	if(iXuEr_TipsPop!=null && iXuEr_TipsPop!="" && typeof(iXuEr_TipsPop)!="undefined"){
		iXuEr_TipsLayer.style.left=-1000;
		iXuEr_TipsLayer.style.display='';
		var Msg = iXuEr_TipsPop.replace(/\n/g,"<br>"); // 换行符
		Msg = Msg.replace(/\r/g,"<br>"); // 回车符
		if(iXuEr_TipsSmallTitle==""){iXuEr_TipsTitleCt="";}
		var attr=(document.location.toString().toLowerCase().indexOf("list.asp")>0?"nowrap":"");
		var content = '<table style="FILTER:alpha(opacity='+iXuEr_TipsAlpha+') shadow(color='+iXuEr_Tipsshadowcolor+',direction='+iXuEr_Tipsshadowdirection+');" id=toolTipTalbe border=0><tr><td width="100%"><table border=0 cellspacing="'+iXuEr_TipsBorder+'" cellpadding="2" style="width:100%;background-color:'+iXuEr_TipsBorderColor+';">'+
		'<tr id=iXuEr_TipsPoptop><th style="width:100%; color:'+iXuEr_TipsTitlefg+'; background-color:'+iXuEr_TipsTitlebg+';" class=s><b><p id=topleft align=left>↖ '+iXuEr_TipsTitle+iXuEr_TipsTitleCt+iXuEr_TipsSmallTitle+'</p><p id=topright align=right style="display:none" class=s>'+iXuEr_TipsSmallTitle+iXuEr_TipsTitleCt+iXuEr_TipsTitle+' ↗</font></b></th></tr>'+
		'<tr><td '+attr+' style="width:100%; background-color:'+iXuEr_TipsPopbg+'; color:'+iXuEr_TipsPopfg+'; padding-left:10px; padding-right:10px; padding-top: 4px; padding-bottom:4px; line-height:135%;font-family: Verdana, Arial, Helvetica, sans-serif, "宋体";" class=s>'+Msg+'</td></tr>'+
		'<tr id=iXuEr_TipsPopbot style="display:none" class=s><th style="width:100%;color:'+iXuEr_TipsTitlefg+';background-color:'+iXuEr_TipsTitlebg+';" class=s><b><p id=botleft align=left>↙ '+iXuEr_TipsTitle+iXuEr_TipsTitleCt+iXuEr_TipsSmallTitle+'</p><p id=botright align=right style="display:none">'+iXuEr_TipsSmallTitle+iXuEr_TipsTitleCt+iXuEr_TipsTitle+' ↘</font></b></th></tr>'+
		'</table></td></tr></table>';
		iXuEr_TipsLayer.innerHTML = content;
		var toolTipwidth = Math.min(iXuEr_TipsLayer.clientWidth, document.body.clientWidth/2.2);
		if(toolTipwidth<iXuEr_TipsBaseWidth){toolTipwidth=iXuEr_TipsBaseWidth;}
		toolTipTalbe.style.width=toolTipwidth;
		MoveToMouseLoc();
		return true;
	}else{
		iXuEr_TipsLayer.innerHTML='';
		iXuEr_TipsLayer.style.display='none';
		return true;
	}
}

function MoveToMouseLoc(){
	if(iXuEr_TipsLayer.innerHTML==''){return true;}
	var MouseX=event.x;
	var MouseY=event.y;
	var popTopAdjust=0;
	//window.status="x:"+event.offsetX;
	//window.status+=" y:"+event.offsetY;
	var popHeight=iXuEr_TipsLayer.clientHeight;
	var popWidth=iXuEr_TipsLayer.clientWidth;
	if(MouseY+iXuEr_TipsoffsetY+popHeight>document.body.clientHeight){
		popTopAdjust=-popHeight-iXuEr_TipsoffsetY*1.5;
		iXuEr_TipsPoptop.style.display="none";
		iXuEr_TipsPopbot.style.display="none";
	}else{
		popTopAdjust=0;
		iXuEr_TipsPoptop.style.display="none";
		iXuEr_TipsPopbot.style.display="none";
	}
	if(MouseX+iXuEr_TipsoffsetX+popWidth>document.body.clientWidth){
		popLeftAdjust=-popWidth-iXuEr_TipsoffsetX*2;
		topleft.style.display="none";
		botleft.style.display="none";
		topright.style.display="none";
		botright.style.display="none";
	}else{
		popLeftAdjust=0;
		topleft.style.display="none";
		botleft.style.display="none";
		topright.style.display="none";
		botright.style.display="none";
	}
	iXuEr_TipsLayer.style.left=MouseX+iXuEr_TipsoffsetX+document.body.scrollLeft+popLeftAdjust;
	iXuEr_TipsLayer.style.top=MouseY+iXuEr_TipsoffsetY+document.body.scrollTop+popTopAdjust;
	return true;
}

document.onmousemove = iXuEr_Tips;